Interface Status page information for switch uplinks may be replaced by switch port data when media
state monitoring is set
Release Notes: Default

Description

Like in #10793#note-9 written status->interface for mvnetal shows mixed data from mvnetal and switch port 1.
Make it more transparent which data are shown.

You can show both connect speeds and traffic counters or you add the switch port to the section:
1_LAN Interface (lan, mvnetal) => 1_LAN Interface (lan, mvnetal, e6000swOport1)

The best is, you show all: mvnetal and e6000swOport[1-5]

Associated revisions

Revision 4e5e99a6 - 02/18/2021 04:29 PM - Viktor Gurov

Show switch tagging ports on status_interfaces page. Implements #10804

Revision 8f5dbb0c - 03/11/2021 08:20 PM - Viktor Gurov

Show switch tagging ports on status_interfaces page. Implements #10804

(cherry picked from commit 4e5e99a61d422941e69b2caal1e948363409e48c)

History

#1 - 07/31/2020 08:56 AM - Jim Pingle

- Subject changed from status->interface: the data shown for mvnetat is not always the real data of mvnetat to status_interfaces.php: Data for switch
uplinks may be replaced by switch port data when media state monitoring is set

- Category set to Interfaces
Fixing the subject and adding some notes:

This happens if "Switch Port" on Interfaces > LAN (or whichever interface the uplink is assigned) is set to one of the switch ports, rather than being
left at the default setting. So in that case it is expected since the page is following what the user requested, though it may not be what they intended.

Seeing the uplink status would still be useful in this case, as well as indicating the port status monitoring association on the interface status output.

#2 - 12/03/2020 02:39 AM - Viktor Gurov

Show switch tagging ports on status_interfaces page:
https:/qitlab.netgate.com/pfSense/pfSense/-/merge_requests/76

#3 - 12/03/2020 06:23 AM - Renato Botelho
- Status changed from New to Pull Request Review
- Assignee set to Viktor Gurov

- Target version set to CE-Next

#4 - 02/18/2021 10:29 AM - Renato Botelho

- Status changed from Pull Request Review to Feedback

PR has been merged. Thanks!
https://redmine.pfsense.org/issues/10793#note-9
https://gitlab.netgate.com/pfSense/pfSense/-/merge_requests/76

#5 - 02/18/2021 10:35 AM - Viktor Gurov
- % Done changed from 0 to 100

Applied in changeset commit:4e5e99a61d422941e69b2caal1e948363409e48c.

#6 - 03/09/2021 01:16 PM - Jim Pingle

- Project changed from pfSense to pfSense Plus

- Category changed from Interfaces to Interfaces

- Status changed from Feedback to Waiting on Merge
- Target version changed from CE-Next to 21.02.2

#7 - 03/11/2021 02:20 PM - Renato Botelho
- Status changed from Waiting on Merge to Feedback

Cherry-picked to RELENG_2_5_1

#8 - 03/12/2021 10:20 AM - Jim Pingle

- Subject changed from status_interfaces.php: Data for switch uplinks may be replaced by switch port data when media state monitoring is set to

Interface Status page information for switch uplinks may be replaced by switch port data when media state monitoring is set

Updating subject for release notes.

#9 - 04/03/2021 06:16 PM - Alhusein Zawi
- File port1.png added
- File port2.png added

Status>Interfaces shows tagged ports
Netgate XG-7100
21.02.2-RC (amd64)

built on Sat Apr 03 03:04:06 EDT 2021
FreeBSD 12.2-STABLE

#10 - 04/04/2021 12:05 AM - Viktor Gurov

- Status changed from Feedback to Resolved
